For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HUMAN DashboardHUMAN WebsiteRequest a Demo
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
Product GuidesEnforcer GuidesMobile SDKAPI ReferenceCustomer support
  • User guides
    • About the Applications API
    • Getting started
    • Authentication
    • Quick reference
  • Account Defender API
  • Bot Defender API
      • GETGet custom list identifiers
      • POSTCreate custom list identifiers
      • PUTReplace custom list identifiers
      • DELDelete custom list identifiers
      • DELDelete a custom list identifier
  • Credential Intelligence API
  • Code Defender API
    • Code Examples
  • Enforce API
  • PCI DSS API
LogoLogo
Login
Login
HUMAN DashboardHUMAN WebsiteRequest a Demo
Bot Defender APICustom List Identifiers

Delete a custom list identifier

DELETE
/v1/botDefender/customLists/:listId/identifiers/:identifierId
DELETE
/api/v1/botDefender/customLists/:listId/identifiers/:identifierId
$curl -X DELETE https://console.humansecurity.com/api/v1/botDefender/customLists/64f8b12345678901234567ab/identifiers/64f8b12345678901234567cd \
> -H "Authorization: Bearer <token>"
1{
2 "result": true,
3 "message": "success",
4 "content": {
5 "deleted": 1,
6 "remaining": 149
7 }
8}
Permanently remove a specific identifier from a custom list. This endpoint returns success (`200`) even if the identifier was not found. Check the `deleted` field in the response to determine if an identifier was actually deleted. - `deleted: 1` means the identifier was found and deleted - `deleted: 0` means the identifier was not found (but request still succeeded)
Was this page helpful?
Previous

Upload credentials

Next
Built with

Permanently remove a specific identifier from a custom list.

This endpoint returns success (200) even if the identifier was not found. Check the deleted field in the response to determine if an identifier was actually deleted.

  • deleted: 1 means the identifier was found and deleted
  • deleted: 0 means the identifier was not found (but request still succeeded)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

listIdstringRequiredformat: "^[0-9a-fA-F]{24}$"
The unique identifier of the custom list
identifierIdstringRequiredformat: "^[0-9a-fA-F]{24}$"
The unique identifier of the custom list identifier

Response

Identifier deleted successfully. Returns even if identifier was not found.
resultboolean
Indicates if the request was successful
messagestring
Response message
contentobject

Errors

401
Unauthorized Error
500
Internal Server Error